package com.fs.store.domain;

import java.math.BigDecimal;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 优惠券对象 fs_store_coupon
 * 
 * @author fs
 * @date 2022-03-15
 */
public class FsStoreCoupon extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 优惠券表ID */
    private Long couponId;

    /** 优惠券名称 */
    @Excel(name = "优惠券名称")
    private String title;

    /** 兑换消耗积分值 */
    @Excel(name = "兑换消耗积分值")
    private Long integral;

    /** 兑换的优惠券面值 */
    @Excel(name = "兑换的优惠券面值")
    private BigDecimal couponPrice;

    /** 最低消费多少金额可用优惠券 */
    @Excel(name = "最低消费多少金额可用优惠券")
    private BigDecimal useMinPrice;

    /** 优惠券有效期限（单位：天） */
    @Excel(name = "优惠券有效期限", readConverterExp = "单=位：天")
    private Long couponTime;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 状态（0：关闭，1：开启） */
    @Excel(name = "状态", readConverterExp = "0=：关闭，1：开启")
    private Integer status;

    /** 商品ids */
    @Excel(name = "商品ids")
    private String productIds;

    @Excel(name = "套餐分类IDS")
    private String packageCateIds;

    /** 优惠券类型 0-通用 1-商品券 */
    @Excel(name = "优惠券类型 0-通用 1-商品券")
    private Integer type;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer isDel;

    public String getPackageCateIds() {
        return packageCateIds;
    }

    public void setPackageCateIds(String packageCateIds) {
        this.packageCateIds = packageCateIds;
    }

    public void setCouponId(Long couponId)
    {
        this.couponId = couponId;
    }

    public Long getCouponId() 
    {
        return couponId;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setIntegral(Long integral) 
    {
        this.integral = integral;
    }

    public Long getIntegral() 
    {
        return integral;
    }
    public void setCouponPrice(BigDecimal couponPrice) 
    {
        this.couponPrice = couponPrice;
    }

    public BigDecimal getCouponPrice() 
    {
        return couponPrice;
    }
    public void setUseMinPrice(BigDecimal useMinPrice) 
    {
        this.useMinPrice = useMinPrice;
    }

    public BigDecimal getUseMinPrice() 
    {
        return useMinPrice;
    }
    public void setCouponTime(Long couponTime) 
    {
        this.couponTime = couponTime;
    }

    public Long getCouponTime() 
    {
        return couponTime;
    }
    public void setSort(Long sort) 
    {
        this.sort = sort;
    }

    public Long getSort() 
    {
        return sort;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }
    public void setProductIds(String productIds) 
    {
        this.productIds = productIds;
    }

    public String getProductIds() 
    {
        return productIds;
    }
    public void setType(Integer type)
    {
        this.type = type;
    }

    public Integer getType()
    {
        return type;
    }
    public void setIsDel(Integer isDel) 
    {
        this.isDel = isDel;
    }

    public Integer getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("couponId", getCouponId())
            .append("title", getTitle())
            .append("integral", getIntegral())
            .append("couponPrice", getCouponPrice())
            .append("useMinPrice", getUseMinPrice())
            .append("couponTime", getCouponTime())
            .append("sort", getSort())
            .append("status", getStatus())
            .append("productIds", getProductIds())
            .append("type", getType())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .toString();
    }
}
